## glance 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy<1.1.0,>=0.9.9
anyjson>=0.3.3
eventlet>=0.17.4
PasteDeploy>=1.5.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7'
Routes!=2.0,>=1.12.3;python_version!='2.7'
WebOb>=1.2.3
sqlalchemy-migrate>=0.9.6
httplib2>=0.7.5
pycrypto>=2.6
iso8601>=0.1.9
oslo.config>=2.3.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.service>=0.7.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
futurist>=0.1.2 # Apache-2.0
taskflow>=1.16.0
keystonemiddleware>=2.0.0
WSME>=0.7

# For paste.util.template used in keystone.common.template
Paste

jsonschema!=2.5.0,<3.0.0,>=2.0.0
python-keystoneclient>=1.6.0
pyOpenSSL>=0.14
# Required by openstack.common libraries
six>=1.9.0

oslo.db>=2.4.1 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.middleware>=2.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=0.3.0 # Apache-2.0

# Glance Store
glance-store!=0.9.0,>=0.7.1 # Apache-2.0


# Artifact repository
semantic-version>=2.3.1

castellan>=0.2.0 # Apache-2.0
cryptography>=1.0 # Apache-2.0

## glance 0.1.3pre~bzr39

=== debian/changelog ===
glance (0.1.3pre~bzr39-0ubuntu1) natty; urgency=low

  * Initial upload.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 19 Jan 2011 12:01:32 +0100

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Soren Hansen <soren@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
 python-all
Build-Depends-Indep: python-support,
 python-nose,
 python-setuptools,
 python-sphinx
Standards-Version: 3.9.1
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/natty/glance/ubuntu/files/
Vcs-Bzr: http://bazaar.launchpad.net/~openstack-ubuntu-packagers/ubuntu/natty/glance/ubuntu/
XS-Debian-Vcs-Browser: http://bazaar.launchpad.net/~glance-core/debian/sid/glance/debian/files
XS-Debian-Vcs-Bzr: http://bazaar.launchpad.net/~glance-core/debian/sid/glance/debian

Package: python-glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends},
 python-webob,
 python-routes,
 python-twisted-web,
 python-gflags
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, python-glance (= ${source:Version}), adduser
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1


DEB_PYTHON_SYSTEM=pysupport

#export DH_VERBOSE=1

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build
	python setup.py build_sphinx

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build
	rm -rf glance.sqlite

## glance 11.0.0

=== debian/changelog ===
glance (2:11.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:42:51 -0400

glance (2:11.0.0~rc3-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align dependencies with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Oct 2015 10:28:55 -0400

glance (2:11.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.
  * d/p/skip-online-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2015 12:17:22 -0400

glance (2:11.0.0~rc1-0ubuntu1) wily; urgency=medium

  * d/watch: Update to cope with upstream rc versioning.
  * New upstream release candidate for OpenStack Liberty.
  * d/rules: Drop removal of .eggs directory in override_dh_auto_clean.
  * d/control: Bump minimum pbr version to 1.8.
  * d/control: Align dependencies with upstream.
  * d/sql_conn.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Sep 2015 15:16:19 -0400

glance (2:11.0.0~b3-0ubuntu2) wily; urgency=medium

  * d/glance-common.install: Drop install of glance-index and glance-search,
    no longer provided.
  * d/glance-api.install: Generalize metadef install, use installed sources.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Sep 2015 12:01:10 +0100

glance (2:11.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-glance-search-tests.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:51:40 -0400

glance (2:11.0.0~b2-0ubuntu2) wily; urgency=medium

  [ Gauvain Pocentek ]
  * d/glance-api.install: install the metadata definitions (LP: #1477170).
  * d/glance-api.postinst: run "glance-manage db_load_metadefs" if the
    default sqlite database is configured.

  [ James Page ]
  * d/glance-common.install: Install glance-manage.conf configuration file
    (LP: #1436953).
  * d/*: wrap-and-sort.

 -- Gauvain Pocentek <gauvain.pocentek@objectif-libre.com>  Wed, 02 Sep 2015 11:58:15 +0100

glance (2:11.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty (LP: #1488094).
  * d/control: Align (build-)depends with upstream.
  * d/p/fix-dupe-uc-sqlite.patch: Dropped. Fixed upstream.
  * d/p/skip-glance-search-tests.patch: Rebased.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Sep 2015 11:04:16 +0100

glance (2:11.0.0~b1-0ubuntu3) wily; urgency=medium

  * d/p/fix-dupe-uc-sqlite.patch: Cherry pick fix from upstream VCS to
    resolve compatilibity with SQLAlchemy >= 1.0.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 10:50:51 +0100

glance (2:11.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/p/skip-online-tests.patch: Skip any tests that require access to
    online resources not accessible in Ubuntu buildds.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jul 2015 22:26:59 +0100

glance (2:11.0.0~b1-0ubuntu1) wily; urgency=medium

  * New milestone for OpenStack liberty.
  * Align (Build-)Depends with upstream.
  * d/p/skip-glance-search-tests.patch: Skip glance search tests if
    elasticsearch is not installed.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2015 14:47:37 +0100

glance (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 15:38:08 +0200

glance (1:2015.1~rc1-0ubuntu2) vivid; urgency=medium

  * New upstream milesone release: 
    - d/control: Align versions with upstream.
    - d/p/*: Refresh.
    - d/g/glance-common.install: Add glance-index and glance-search
      binaries.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:54:35 -0400

glance (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * New upstream milestone release for OpenStack Kilo:
    - d/p/*: Refresh.
    - d/control: Align versions with upstream.
    - d/control: Add new dependencies on oslo-log, oslo-policy, taskflow,
      semantic-version, drop dependency on boto.
    - d/p/skip-online-tests.patch: Add some new tests that require online
      connectivity.
    - d/p/fixup-requirements.patch: Fixup broken upper version definition
      for oslo-policy.
  * d/rules: Trim back tests to just unit tests (skipping functional and
    integration for now).
  * d/pydist-overrides: Add overrides for oslo packages.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:09:56 +0100

glance (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-requirements.patch: Rebased.
    - d/p/skip-online-tests.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Feb 2015 09:13:34 -0500

glance (1:2015.1~b1-0ubuntu3) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:22:48 +0000

glance (1:2015.1~b1-0ubuntu2) vivid; urgency=medium

  [ Corey Bryant ]
  * Systemd enablement:
    - d/control: Add dh-systemd and openstack-pkg-tools to BD's.
    - d/rules: Enable use of pkgos, tidyup generated init files.
    - d/*.init.in: Cherry pick *.init files from Debian glance package
      and adapt to templates.
    - d/*.upstart: Drop in preference to generated files.
  * d/control,compat: Bump debhelper compat level to 9.
  * d/*.logrotate,glance-common.logrotate: Move to single logrotate
    configuration.
  * d/glance-common.postinst: Use default permissions for /etc/glance.
  * d/python-glance-doc.links: Change permissions to 664.

  [ James Page ]
  * d/*: Fixup incorrect permissions on files.



## glance 11.0.1

=== requirements.txt ===
--- 
+++ 
@@ -20,18 +20,18 @@
 oslo.concurrency>=2.3.0 # Apache-2.0
 oslo.context>=0.2.0 # Apache-2.0
 oslo.service>=0.7.0 # Apache-2.0
-oslo.utils>=2.0.0 # Apache-2.0
+oslo.utils!=2.6.0,>=2.0.0 # Apache-2.0
 stevedore>=1.5.0 # Apache-2.0
 futurist>=0.1.2 # Apache-2.0
 taskflow>=1.16.0
-keystonemiddleware>=2.0.0
+keystonemiddleware!=2.4.0,>=2.0.0
 WSME>=0.7
 
 # For paste.util.template used in keystone.common.template
 Paste
 
 jsonschema!=2.5.0,<3.0.0,>=2.0.0
-python-keystoneclient>=1.6.0
+python-keystoneclient!=1.8.0,>=1.6.0
 pyOpenSSL>=0.14
 # Required by openstack.common libraries
 six>=1.9.0
@@ -39,7 +39,7 @@
 oslo.db>=2.4.1 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.log>=1.8.0 # Apache-2.0
-oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
+oslo.messaging!=1.17.0,!=1.17.1,!=2.6.0,!=2.6.1,!=2.7.0,!=2.8.0,!=2.8.1,!=2.9.0,!=3.1.0,>=1.16.0 # Apache-2.0
 oslo.middleware>=2.8.0 # Apache-2.0
 oslo.policy>=0.5.0 # Apache-2.0
 oslo.serialization>=1.4.0 # Apache-2.0

=== debian/changelog ===
glance (2:11.0.1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * d/tests/glance-daemons: Give daemon 5 seconds to start to prevent race.

  [ James Page ]
  * New upstream point release for OpenStack Liberty (LP: #1530913).

 -- James Page <james.page@ubuntu.com>  Thu, 07 Jan 2016 11:59:49 +0000

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-castellan,
                     python-coverage (>= 3.6),
                     python-crypto (>= 2.6),
                     python-cryptography (>= 1.0),
                     python-eventlet (>= 0.17.4),
                     python-fixtures (>= 1.3.1),
                     python-futurist,
                     python-glance-store (>= 0.7.1),
                     python-hacking,
                     python-httplib2 (>= 0.7.5),
                     python-iso8601 (>= 0.1.9),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 2.0.0),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-mox3 (>= 0.7.0),
                     python-openssl (>= 0.14),
                     python-oslo.concurrency (>= 2.3.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 2.4.1),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.middleware (>= 2.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.service (>= 0.7.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 0.3.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-psutil (>= 1.1.1),
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-requests (>= 2.5.2),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-semantic-version (>= 2.3.1),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 0.9.9),
                     python-stevedore (>= 1.5.0),
                     python-taskflow (>= 1.16.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-wsme (>= 0.7),
                     python-xattr (>= 0.4),
                     subunit,
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/glance
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/glance
XS-Testsuite: autopkgtest

Package: python-glance
Architecture: all
Section: python
Depends: python-anyjson (>= 0.3.3),
         python-castellan,
         python-crypto (>= 2.6),
         python-cryptography (>= 1.0),
         python-eventlet (>= 0.17.4),
         python-futurist,
         python-glance-store (>= 0.7.1),
         python-httplib2 (>= 0.7.5),
         python-iso8601 (>= 0.1.9),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 2.0.0),
         python-migrate (>= 0.9.6),
         python-openssl (>= 0.14),
         python-oslo.concurrency (>= 2.3.0),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 2.4.1),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.middleware (>= 2.8.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.service (>= 0.7.0),
         python-oslo.utils (>= 2.0.0),
         python-osprofiler (>= 0.3.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-semantic-version (>= 2.3.1),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 0.9.9),
         python-stevedore (>= 1.5.0),
         python-taskflow (>= 1.16.0),
         python-webob (>= 1.2.3),
         python-wsme (>= 0.7),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

Package: glance
Architecture: all
Section: python
Depends: glance-api (= ${source:Version}),
         glance-registry (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: python-glance-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: glance-common
Architecture: all
Section: python
Depends: adduser,
         python-glance (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Breaks: glance ( <= 2011.3-0ubuntu4.1 ),
Replaces: glance ( <= 2011.3-0ubuntu4.1  ),
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: glance-api
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2),
Depends: glance-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-registry
Architecture: all
Section: python
Replaces: glance (<< 2012.1~e1~20110919.1021-0ubuntu2),
Depends: glance-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: python-glanceclient,
Description: OpenStack Image Registry and Delivery Service - Registry
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance registry server.

## glance 12.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy<1.1.0,>=1.0.10 # MIT
eventlet!=0.18.3,>=0.18.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
WebOb>=1.2.3 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
httplib2>=0.7.5 # MIT
pycrypto>=2.6 # Public Domain
oslo.config>=3.7.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
futurist>=0.11.0 # Apache-2.0
taskflow>=1.26.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
WSME>=0.8 # MIT
PrettyTable<0.8,>=0.7 # BSD

# For paste.util.template used in keystone.common.template
Paste # MIT

jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
pyOpenSSL>=0.14 # Apache-2.0
# Required by openstack.common libraries
six>=1.9.0 # MIT

oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.1.0 # Apache-2.0

# Glance Store
glance-store>=0.13.0 # Apache-2.0


# Artifact repository
semantic-version>=2.3.1 # BSD

castellan>=0.3.1 # Apache-2.0
cryptography>=1.0 # BSD/Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

# timeutils
iso8601>=0.1.9 # MIT
monotonic>=0.6 # Apache-2.0

=== glance/contrib/plugins/image_artifact/requirements.txt ===
python-glanceclient

=== debian/changelog ===
glance (2:12.0.0-0ubuntu2) xenial; urgency=medium

  *  debian/patches/add-root-tar-support.patch: Add support for 
     root-tar images for backwards compatiblity for nova-lxd 
     (LP: #1569289).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 13 Apr 2016 10:13:40 -0400

glance (2:12.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 12:07:24 -0400

glance (2:12.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:08:03 -0400

glance (2:12.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinx-git.patch, d/control: Drop use of git from sphinx config.
  * d/p/skip-test.patch: Skip failing test with upstream bug.
  * d/control, d/glance-glare.*: Add install/init files for glance artifacts api.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 10:39:49 -0500

glance (2:12.0.0~b2-0ubuntu1) xenial; urgency=medium

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-online-tests.patch: Rebased.

  [ Corey Bryant ]
  * d/control: Set min version of python-glance-store 0.10.0 to fix tests.
  * d/control: Add git dependency to build-depends for sphinx-build.
  * d/glance-common.install: Drop install of usr/bin/glance-artifacts as
    entry point no longer exists in glance.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 29 Jan 2016 11:43:25 +0100

glance (2:12.0.0~b1-0ubuntu1) xenial; urgency=medium

  * d/tests/glance-daemons: Give daemon 5 seconds to start to prevent race.
  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/skip-online-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Dec 2015 14:01:11 -0500

=== debian/control ===
--- 
+++ 
@@ -10,59 +10,64 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-anyjson (>= 0.3.3),
+Build-Depends-Indep: bandit,
                      python-babel (>= 1.3),
                      python-castellan,
                      python-coverage (>= 3.6),
                      python-crypto (>= 2.6),
                      python-cryptography (>= 1.0),
-                     python-eventlet (>= 0.17.4),
+                     python-debtcollector (>= 1.2.0),
+                     python-eventlet (>= 0.18.2),
                      python-fixtures (>= 1.3.1),
-                     python-futurist,
-                     python-glance-store (>= 0.7.1),
+                     python-futurist (>= 0.11.0),
+                     python-glance-store (>= 0.13.0),
                      python-hacking,
                      python-httplib2 (>= 0.7.5),
                      python-iso8601 (>= 0.1.9),
                      python-jsonschema (>= 2.0.0),
+                     python-keystoneauth1 (>= 2.1.0),
                      python-keystoneclient (>= 1:1.6.0),
-                     python-keystonemiddleware (>= 2.0.0),
+                     python-keystonemiddleware (>= 4.0.0),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 1.2),
+                     python-monotonic,
                      python-mox3 (>= 0.7.0),
                      python-openssl (>= 0.14),
-                     python-oslo.concurrency (>= 2.3.0),
-                     python-oslo.config (>= 1:2.3.0),
+                     python-oslo.concurrency (>= 3.5.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.db (>= 2.4.1),
-                     python-oslo.i18n (>= 1.5.0),
-                     python-oslo.log (>= 1.8.0),
-                     python-oslo.messaging (>= 1.16.0),
-                     python-oslo.middleware (>= 2.8.0),
+                     python-oslo.db (>= 4.1.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 1.14.0),
+                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.service (>= 0.7.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.serialization (>= 1.10.0),
+                     python-oslo.service (>= 1.0.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-osprofiler (>= 0.3.0),
+                     python-osprofiler (>= 1.1.0),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
+                     python-prettytable (>= 0.7),
                      python-psutil (>= 1.1.1),
                      python-psycopg2 (>= 2.5),
                      python-pymysql,
-                     python-requests (>= 2.5.2),
+                     python-requests (>= 2.8.1),
                      python-retrying (>= 1.2.3),
                      python-routes (>= 1.12.3),
                      python-semantic-version (>= 2.3.1),
                      python-six (>= 1.9.0),
-                     python-sqlalchemy (>= 0.9.9),
+                     python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.5.0),
-                     python-taskflow (>= 1.16.0),
+                     python-swiftclient (>= 2.2.0),
+                     python-taskflow (>= 1.26.0),
                      python-testresources (>= 0.2.4),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-webob (>= 1.2.3),
-                     python-wsme (>= 0.7),
+                     python-wsme (>= 0.8),
                      python-xattr (>= 0.4),
                      subunit,
                      testrepository (>= 0.0.18),
@@ -76,44 +81,47 @@
 Package: python-glance
 Architecture: all
 Section: python
-Depends: python-anyjson (>= 0.3.3),
-         python-castellan,
+Depends: python-castellan,
          python-crypto (>= 2.6),
          python-cryptography (>= 1.0),
-         python-eventlet (>= 0.17.4),
-         python-futurist,
-         python-glance-store (>= 0.7.1),
+         python-debtcollector (>= 1.2.0),
+         python-eventlet (>= 0.18.2),
+         python-futurist (>= 0.11.0),
+         python-glance-store (>= 0.13.0),
          python-httplib2 (>= 0.7.5),
          python-iso8601 (>= 0.1.9),
          python-jsonschema (>= 2.0.0),
+         python-keystoneauth1 (>= 2.1.0),
          python-keystoneclient (>= 1:1.6.0),
-         python-keystonemiddleware (>= 2.0.0),
+         python-keystonemiddleware (>= 4.0.0),
          python-migrate (>= 0.9.6),
+         python-monotonic,
          python-openssl (>= 0.14),
-         python-oslo.concurrency (>= 2.3.0),
-         python-oslo.config (>= 1:2.3.0),
+         python-oslo.concurrency (>= 3.5.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.db (>= 2.4.1),
-         python-oslo.i18n (>= 1.5.0),
-         python-oslo.log (>= 1.8.0),
-         python-oslo.messaging (>= 1.16.0),
-         python-oslo.middleware (>= 2.8.0),
+         python-oslo.db (>= 4.1.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 1.14.0),
+         python-oslo.messaging (>= 4.0.0),
+         python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.service (>= 0.7.0),
-         python-oslo.utils (>= 2.0.0),
-         python-osprofiler (>= 0.3.0),
+         python-oslo.serialization (>= 1.10.0),
+         python-oslo.service (>= 1.0.0),
+         python-oslo.utils (>= 3.5.0),
+         python-osprofiler (>= 1.1.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
+         python-prettytable (>= 0.7),
          python-retrying (>= 1.2.3),
          python-routes (>= 1.12.3),
          python-semantic-version (>= 2.3.1),
          python-six (>= 1.9.0),
-         python-sqlalchemy (>= 0.9.9),
+         python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.5.0),
-         python-taskflow (>= 1.16.0),
+         python-taskflow (>= 1.26.0),
          python-webob (>= 1.2.3),
-         python-wsme (>= 0.7),
+         python-wsme (>= 0.8),
          ${misc:Depends},
          ${python:Depends},
 Provides: ${python:Provides},
@@ -203,3 +211,17 @@
  OpenStack's Swift service, to Nova's compute nodes.
  .
  This package contains the glance registry server.
+
+Package: glance-glare
+Architecture: all
+Section: python
+Depends: glance-common (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+Description: OpenStack Image Registry and Delivery Service - Artifacts API
+ The Glance project provides an image registration, discovery and
+ delivery service. These services may be used as stand-along services, and
+ they may also be used by Nova to deliver images from object stores, such as
+ OpenStack's Swift service, to Nova's compute nodes.
+ .
+ This package contains the glance artifacts repository API server.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export OSLO_PACKAGE_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_install:
	dh_install --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	rm -rf .testrepository
	testr init && \
	set -e && \
	TEMP_REZ=`mktemp -t` && \
	testr run --subunit glance.tests.unit | tee $$TEMP_REZ | subunit2pyunit; \
	cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
	rm -f $$TEMP_REZ ; \
	testr slowest
endif

override_dh_auto_build:
	dh_auto_build
	mkdir -p doc/build/man doc/build/html
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build
	rm -rf glance.sqlite
	rm -f debian/*.init debian/*.service debian/*.upstart

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/glance glance-(\d.*)\.tar\.gz
